DORMANTno replies

[PATCH 1/3] Don't allow git-describe failures to go unnoticed in t6120

From: Shawn O. Pearce <hidden>
Date: 2016-06-15 22:44:20
Subsystem: the rest · Maintainer: Linus Torvalds

If git-describe fails we never execute the test_expect_success,
so we never actually test for failure.  This is horribly wrong.
We need to always run the test case, but the test case is only
supposed to succeed if the prior git-describe returned 0.

Signed-off-by: Shawn O. Pearce <redacted>
---
 t/t6120-describe.sh |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)
diff --git a/t/t6120-describe.sh b/t/t6120-describe.sh
index a7557bd..ba9ea60 100755
--- a/t/t6120-describe.sh
+++ b/t/t6120-describe.sh
@@ -15,8 +15,10 @@ test_description='test describe
 check_describe () {
 	expect="$1"
 	shift
-	R=$(git describe "$@") &&
+	R=$(git describe "$@")
+	S=$?
 	test_expect_success "describe $*" '
+	test $S = 0 &&
 	case "$R" in
 	$expect)	echo happy ;;
 	*)	echo "Oops - $R is not $expect";
-- 
1.5.4.3.529.gb25fb
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help